Bug 17554 - Move GetBorrowersWithEmail to Koha::Patron
Summary: Move GetBorrowersWithEmail to Koha::Patron
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on: 17486
Blocks: 16846 17829
  Show dependency treegraph
 
Reported: 2016-11-04 14:42 UTC by Jonathan Druart
Modified: 2017-07-10 10:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail (3.87 KB, patch)
2016-11-04 14:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail (3.88 KB, patch)
2016-11-04 14:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail (2.76 KB, patch)
2016-12-14 17:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail (2.81 KB, patch)
2016-12-29 10:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail (2.81 KB, patch)
2017-05-02 13:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail (2.86 KB, patch)
2017-06-26 18:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17554: (followup) Shibboleth check should use ->find too (1.46 KB, patch)
2017-06-26 18:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-04 14:42:23 UTC
C4::Members::GetBorrowersWithEmail can be easily replaced with Koha::Patrons->search({ email => $email });
Comment 1 Jonathan Druart 2016-11-04 14:48:31 UTC
Created attachment 57207 [details] [review]
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail

C4::Members::GetBorrowersWithEmail can be easily replaced with
Koha::Patrons->search({ email => $email });

Test plan:
Confirm that you are still able to use Persona for login
http://translate.koha-community.org/manual/master/en/html-desktop/#mozillapersona

For QA: Note that this is also use for the PKI authentication
But as the code is the same I don't think it's needed to test both.
Comment 2 Jonathan Druart 2016-11-04 14:49:53 UTC
Created attachment 57208 [details] [review]
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail

C4::Members::GetBorrowersWithEmail can be easily replaced with
Koha::Patrons->search({ email => $email });

Test plan:
Confirm that you are still able to use Persona for login
http://translate.koha-community.org/manual/master/en/html-desktop/#mozillapersona

For QA: Note that this is also use for the PKI authentication
But as the code is the same I don't think it's needed to test both.
Comment 3 Jonathan Druart 2016-12-14 17:38:01 UTC
Created attachment 58184 [details] [review]
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail

C4::Members::GetBorrowersWithEmail can be easily replaced with
Koha::Patrons->search({ email => $email });

Test plan:
Confirm that you are still able to use PKI authentication
Comment 4 Jonathan Druart 2016-12-29 10:10:03 UTC
Created attachment 58486 [details] [review]
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail

C4::Members::GetBorrowersWithEmail can be easily replaced with
Koha::Patrons->search({ email => $email });

Test plan:
Confirm that you are still able to use PKI authentication
Comment 5 Jonathan Druart 2017-02-24 09:04:45 UTC
Alternative test plan: read the changes and confirm that they make sense.
Comment 6 Martin Renvoize 2017-05-02 09:25:32 UTC
Looks like a solid change to me, but I can't get it to apply :(
Comment 7 Jonathan Druart 2017-05-02 13:05:56 UTC
Created attachment 62956 [details] [review]
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail

C4::Members::GetBorrowersWithEmail can be easily replaced with
Koha::Patrons->search({ email => $email });

Test plan:
Confirm that you are still able to use PKI authentication
Comment 8 Tomás Cohen Arazi 2017-06-26 18:27:31 UTC
Created attachment 64660 [details] [review]
Bug 17554: Koha::Patrons - Remove GetBorrowersWithEmail

C4::Members::GetBorrowersWithEmail can be easily replaced with
Koha::Patrons->search({ email => $email });

Test plan:
Confirm that you are still able to use PKI authentication

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Tomás Cohen Arazi 2017-06-26 18:27:39 UTC
Created attachment 64661 [details] [review]
Bug 17554: (followup) Shibboleth check should use ->find too

There was a remaining use of C4::Members::GetBorrowersWithEmail in Auth.pm.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Tomás Cohen Arazi 2017-06-26 18:29:20 UTC
Simple patch, pretty trivial.
Comment 11 Jonathan Druart 2017-07-05 17:05:06 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 12 Fridolin SOMERS 2017-07-10 10:13:57 UTC
Enhancement not pushed to 17.05.x
Comment 13 Fridolin SOMERS 2017-07-10 10:25:23 UTC
Enhancement not pushed to 17.05.x